Name:		qt-heif-image-plugin
Version:	0.3.4
Release:	%mkrel 2
Summary:	Qt plugin for HEIF images
License:	LGPLv3
Group:		Graphical desktop/KDE
URL:		https://github.com/jakar/qt-heif-image-plugin
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(libheif) >= 1.1
### Qt5 build dependencies
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)

%description
This is a Qt image plugin for HEIF images, wrapping libheif.
It enables existing Qt applications to open and save .heic
files, such as those from Apple devices.

Currently, support is limited to the following:

 * Basic reading and writing of the primary image
 * Reading of files with multiple top-level images

#----------------------------------------------------------------------------
### Qt5

%package -n	qt5-heif-image-plugin
Summary:	Qt plugin for HEIF images for Qt 5.x
Group:		Graphical desktop/KDE

%description -n	qt5-heif-image-plugin
This is a Qt image plugin for HEIF images, wrapping libheif.
It enables existing Qt applications to open and save .heic
files, such as those from Apple devices.

Currently, support is limited to the following:

 * Basic reading and writing of the primary image
 * Reading of files with multiple top-level images

%files -n qt5-heif-image-plugin
%doc CHANGELOG.md README.md
%license LICENSE
%{_qt5_plugindir}/imageformats/libqheif.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.4-2.mga10
+ Revision: 2221510
- Mageia 10 Mass Rebuild

* Tue Mar 12 2024 daviddavid <daviddavid> 0.3.4-1.mga10
+ Revision: 2049335
- initial package qt-heif-image-plugin

